export const useImage = () => {
  const resolvePath = (src: string) => {
    // 如果是base64的，直接返回
    if (src.startsWith('data:image/') || src.startsWith('http') || src.startsWith('https')) {
      return src;
    }
    // h5的开发环境，补上/h5/src/前缀
    // #ifdef H5
    if (import.meta.env.DEV && !src.startsWith('/h5/src/')) {
      return `/h5/src/${src.replace(/^\//, '')}`;
    }
    return src;
    // #endif
    // #ifdef MP-WEIXIN
    return src;
    // #endif
  }
  return {
    resolvePath
  }
}